complexType "ReportContents"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 8 elements
Defined: | globally in fpml-valuation-reporting-5-5.xsd; see XML source
Includes: | definitions of 8 elements
Used: | at 12 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | partyReference?, accountReference?, category*, (assetClass* | (primaryAssetClass?, secondaryAssetClass*))?, productType*, queryPortfolio?
</...>

Content Model Elements (8):

  accountReference (defined in ReportContents complexType),
  assetClass (defined in ReportContents complexType),
  category (defined in ReportContents complexType),
  partyReference (defined in ReportContents complexType),
  primaryAssetClass (defined in ReportContents complexType),
  productType (defined in ReportContents complexType),
  queryPortfolio (defined in ReportContents complexType),
  secondaryAssetClass (defined in ReportContents complexType)

All Direct / Indirect Based Elements (12):

  reportContents (defined in TradeCashflowsDefinition.model group),
  reportContents (in eventActivityReport),
  reportContents (in exposureReport),
  reportContents (in partyReport),
  reportContents (in positionActivityReport),
  reportContents (in positionReport),
  reportContents (in requestPositionReport),
  reportContents (in requestValuationReport),
  reportContents (in resetReport),
  reportContents (in terminatingEventsReport),
  reportContents (in valuationReport),
  reportContents (in valuationReportRetracted)

Known Usage Locations

- As direct type of elements (12):
  reportContents (defined in TradeCashflowsDefinition.model group),
  reportContents (in eventActivityReport),
  reportContents (in exposureReport),
  reportContents (in partyReport),
  reportContents (in positionActivityReport),
  reportContents (in positionReport),
  reportContents (in requestPositionReport),
  reportContents (in requestValuationReport),
  reportContents (in resetReport),
  reportContents (in terminatingEventsReport),
  reportContents (in valuationReport),
  reportContents (in valuationReportRetracted)

Annotation
A type used to describe the scope/contents of a report.
XML Source (w/o annotations (9); see within schema source)

<xsd:complexType name="ReportContents"> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="accountReference" type="AccountReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetClass" type="AssetClass"/> <xsd:sequence> <xsd:element minOccurs="0" name="primaryAssetClass" type="AssetClass"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="secondaryAssetClass" type="AssetClass"/> </xsd:sequence> </xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/> <xsd:element minOccurs="0" name="queryPortfolio" type="QueryPortfolio"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 8/8)
accountReference

  Type: | AccountReference, empty content

  The account for which this report was generated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="accountReference" type="AccountReference"/>

assetClass

  Type: | AssetClass, simple content

  A classification of the risk class of the trade. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetClass" type="AssetClass"/>

category

  Type: | TradeCategory, simple content

  Used to categorize trades into user-defined categories, such as house trades vs. customer trades.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"/>

partyReference

  Type: | PartyReference, empty content

  The party for which this report was generated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="partyReference" type="PartyReference"/>

primaryAssetClass

  Type: | AssetClass, simple content

  A classification of the most important risk class of the trade. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="primaryAssetClass" type="AssetClass"/>

productType

  Type: | ProductType, simple content

  A classification of the type of product. FpML defines a simple product categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/>

queryPortfolio

  Type: | QueryPortfolio, complex content

  The desired query portfolio.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="queryPortfolio" type="QueryPortfolio"/>

secondaryAssetClass

  Type: | AssetClass, simple content

  A classification of additional risk classes of the trade, if any. FpML defines a simple asset class categorization using a coding scheme.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="secondaryAssetClass" type="AssetClass"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.